import { ProfileTraitsResponse, ProfileEventsResponse, SegmentConfig } from "../types/segment.js";
export declare class SegmentProfileClient {
    private client;
    private spaceId;
    constructor(config: SegmentConfig);
    /**
     * Get user traits by external ID (e.g., email:user@example.com)
     */
    getProfileTraits(externalId: string, spaceId?: string): Promise<ProfileTraitsResponse>;
    /**
     * Get user events by external ID (e.g., email:user@example.com)
     */
    getProfileEvents(externalId: string, options?: {
        limit?: number;
        cursor?: string;
        spaceId?: string;
        include?: string;
        exclude?: string;
    }): Promise<ProfileEventsResponse>;
}
//# sourceMappingURL=profile-client.d.ts.map