import { z } from "zod";
export declare const GetProfileTraitsSchema: z.ZodObject<{
    external_id: z.ZodString;
    space_id: z.ZodOptional<z.ZodString>;
}, "strict", z.ZodTypeAny, {
    external_id: string;
    space_id?: string | undefined;
}, {
    external_id: string;
    space_id?: string | undefined;
}>;
export declare const GetProfileEventsSchema: z.ZodObject<{
    external_id: z.ZodString;
    limit: z.ZodOptional<z.ZodNumber>;
    cursor: z.ZodOptional<z.ZodString>;
    space_id: z.ZodOptional<z.ZodString>;
}, "strict", z.ZodTypeAny, {
    external_id: string;
    limit?: number | undefined;
    cursor?: string | undefined;
    space_id?: string | undefined;
}, {
    external_id: string;
    limit?: number | undefined;
    cursor?: string | undefined;
    space_id?: string | undefined;
}>;
export declare const GetProfilePastChatSchema: z.ZodObject<{
    external_id: z.ZodString;
    limit: z.ZodOptional<z.ZodNumber>;
    cursor: z.ZodOptional<z.ZodString>;
    space_id: z.ZodOptional<z.ZodString>;
}, "strict", z.ZodTypeAny, {
    external_id: string;
    limit?: number | undefined;
    cursor?: string | undefined;
    space_id?: string | undefined;
}, {
    external_id: string;
    limit?: number | undefined;
    cursor?: string | undefined;
    space_id?: string | undefined;
}>;
export type GetProfileTraitsInput = z.infer<typeof GetProfileTraitsSchema>;
export type GetProfileEventsInput = z.infer<typeof GetProfileEventsSchema>;
export type GetProfilePastChatInput = z.infer<typeof GetProfilePastChatSchema>;
//# sourceMappingURL=profile-schemas.d.ts.map