import express from "express";
import { Server } from "@modelcontextprotocol/sdk/server/index.js";
import { SegmentConfig } from "../types/segment.js";
export interface HttpTransportManager {
    app: express.Application;
    start: () => Promise<void>;
    stop: () => Promise<void>;
}
export declare function createHttpTransportManager(server: Server, config: SegmentConfig): HttpTransportManager;
//# sourceMappingURL=http-transport-simple.d.ts.map